> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Provision with Google Pay



## OpenAPI

````yaml api-reference/openapi-cards.json POST /card/{card_id}/digital_wallet_token/google_pay
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Cards
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /card/{card_id}/digital_wallet_token/google_pay:
    post:
      tags:
        - Digital Wallet Tokens
      summary: Provision with Google Pay
      parameters:
        - description: The ID card being added to the wallet
          in: path
          name: card_id
          required: true
          schema:
            description: The ID card being added to the wallet
            type: string
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Example
                value:
                  card_id: card_291u96075mva
                  device_id: W85OGhjZTk2dsr452dgsr51j
                  device_type: mobile_phone
                  provisioning_app_version: 2.13.3
                  wallet_account_id: ae25OGhjZTk2dsr452dgsr51
            schema:
              properties:
                card_id:
                  description: The ID card being added to the wallet
                  type: string
                device_id:
                  description: The user’s Android device ID; the device’s unique identifier
                  type: string
                device_type:
                  description: One of `mobile_phone`, `watch`, or `tablet`
                  type: string
                provisioning_app_version:
                  description: Version of the application making the provisioning request
                  type: string
                wallet_account_id:
                  description: The user’s Google wallet account ID
                  type: string
              required:
                - provisioning_app_version
                - device_type
                - card_id
                - device_id
                - wallet_account_id
        description: The google-pay-token-request to create
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    card_id: card_291u96075mva
                    device_type: mobile_phone
                    provisioning_app_version: '2.0'
                    push_tokenize_request_data:
                      display_name: Visa Card
                      last_digits: '1234'
                      network: Visa
                      opaque_payment_card: eyJraWQiOiIxVjMwT1ZCUTNUMjRZMVFBVFRRUza
                      token_service_provider: TOKEN_PROVIDER_VISA
                      user_address:
                        address1: 1 Market St
                        address2: Suite 42
                        city: San Francisco
                        country: US
                        name: George Washington
                        phone: '4154845555'
                        postal_code: '94104'
                        state: CA
              schema:
                properties:
                  card_id:
                    description: The ID card being added to the wallet
                    type: string
                  device_id:
                    description: >-
                      The user’s Android device ID; the device’s unique
                      identifier
                    type: string
                  device_type:
                    description: One of `mobile_phone`, `watch`, or `tablet`
                    type: string
                  provisioning_app_version:
                    description: Version of the application making the provisioning request
                    type: string
                  wallet_account_id:
                    description: The user’s Google wallet account ID
                    type: string
          description: The google-pay-token-request created
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````